//
//  SCAdError.h
//  SmartclipSDKiOS
//
//  Copyright © 2019 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
* This class holds public error information, if an adError was detected
*/
@interface SCAdError : NSObject
///Human readable error descriptiom
@property (nonatomic, copy) NSString *errorDescription;
///Timestamp of the error
@property (nonatomic)       NSTimeInterval timestamp;
///VAST error code
@property (nonatomic)       NSInteger errorCode;

@end

NS_ASSUME_NONNULL_END
